{% from "macros.html" import error_alert, upload_master_dialog, render_upload_master_dialog %}
{{ error_alert() }}
<div class="row-fluid">
  <div class="span12">
    <h3 class="prod-title">
      <span class="pull-left">Products</span>
      {{ upload_master_dialog('Products') }}
      <div class="clearfix"></div>
    </h3>
  </div>
</div>
<div class="row-fluid">
  <div class="span12">
    <form id="pSearch" action="#" class="form-inline">
      <div class="row-fluid search-fields">
        <div class="span10 pull-left">
          <input name="pc" class="span2" type="text" placeholder="Product Code">
          <input name="pd" class="span2" type="text" placeholder="Product Description">
          <button type="submit" class="btn" id="prodSearchBtn" data-loading-text="Searching...">
            <i class="icon-search"></i>&nbsp;<span class="hidden-phone">Search</span></button>
        </div>
        <div id="prod-pager" class="pagination pagination-small pull-right">
          <ul>
            {%- if page_nbr == 0 -%}
              <li class="disabled"><a href="#"><< <span class="hidden-phone">Prev</span></a></li>
            {%- else -%}
              <li><a class="pgr-link" href="#" page_target="{{ page_nbr-1 }}"><< <span class="hidden-phone">Prev</span></a>
              </li>
            {%- endif -%}
            {%- if products|length == limit -%}
              <li><a class="pgr-link" href="#" page_target="{{ page_nbr+1 }}"><span class="hidden-phone">Next</span> >></a>
              </li>
            {%- else -%}
              <li class="disabled"><a href="#"><span class="hidden-phone">Next</span> >></a></li>
            {%- endif -%}
          </ul>
        </div>
        <div class="clearfix"></div>
      </div>
    </form>
  </div>
</div>
<div class="row-fluid">
  <div class="span12">
    {% include 'product_list.html' %}
  </div>
</div>
<!--  Upload Modal Box -->
{{ render_upload_master_dialog('Products', 'products') }}